### Function

# Gck Attribute new_date

#### Declaration [src]

    GckAttribute*
    gck_attribute_new_date (
      gulong attr_type,
      const GDate* value
    )

#### Description [src]

Initialize a PKCS#11 attribute to a date. This will result in a CK_DATE attribute from the PKCS#11 specs.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `GDate`

  The date value of the attribute.

  The data is owned by the caller of the function.

#### Return value

Type: `GckAttribute`

The new attribute; when done with the attribute u `gck_attribute_free()` to free it.

The caller of the function takes ownership of the data, and is responsible for freeing it.